import request from "@/utils/request";
const baseURL = "/product/admin/product/vendor";

// 供应商账单

const AuthAPI = {
  /** 供应商账单统计*/
  getSummary(params: any) {
    return request<any, Responseres>({
      url: `${baseURL}/summary`,
      method: "get",
      params,
    });
  },
  /** 分页*/
  getPage(params: any) {
    return request<any, Responseres>({
      url: `${baseURL}/bill`,
      method: "get",
      params,
    });
  },
  // 账单记录
  getRecordList(params: any) {
    return request<any, Responseres>({
      url: `${baseURL}/bill/record`,
      method: "get",
      params,
    });
  },
  // 账单付款记录
  getPayRecordList(params: any) {
    return request<any, Responseres>({
      url: `${baseURL}/bill/pay/record`,
      method: "get",
      params,
    });
  },
  // 账单付款
  billPay(data: any) {
    return request<any, Responseres>({
      url: `${baseURL}/bill/pay`,
      method: "post",
      data,
    });
  },
  
};




export interface Responseres {
  code?: number | null;
  data?: any;
  msg?: null | string;
  [property: string]: any;
}

export default AuthAPI;
